#pragma once
#include "Ponto.h"
#include "Vetor.h"
#include "Matriz.h"

class Camera
{
public:
	Ponto foco;
	Vetor u;
	Vetor v;
	Vetor n;
	Matriz mudancaBase;
public:
	Camera(Ponto& foco, Vetor& v, Vetor& n);//cria uma camera "calibrada"(repare que v e n nao podem se multiplos)
	Camera(void);
public:
	~Camera(void);
public:
	void setFoco(Ponto& v);
	void setU(Vetor& v);
	void setV(Vetor& v);
	void setN(Vetor& v);
	Ponto getFoco();
	Vetor getU();
	Vetor getV();
	Vetor getN();

	Ponto coordenadasVista(Ponto& p);//retorna as coordenadas de vista do ponto p que est em coordendas canonica
};
