#pragma once
#include "Vetor.h"
#include "Ponto.h"
#include "Triangulo.h"
#include "TrianguloProjetado.h"

class Iluminacao
{
public:	
	Iluminacao(void);
public:
	~Iluminacao(void);
public:
	Vetor compAmbiental;
	Vetor compDifusa;
	Vetor somatorio;
	Vetor compEspecular;
	Vetor v;
	Vetor normal;
	Ponto pReal;
public:
	Vetor calculaIluminacao(Vetor& ia, double& ka, Vetor& il, Vetor& kd, Vetor& od, double& ks, double& rugosidade, Ponto& pl);
	Vetor pegarNormal(Vetor& v, Triangulo& t); 
	Ponto pegarPontoReal(Vetor& v, Triangulo& t);
	void alumeia(Vetor& coordBaric, Triangulo& tReal);
};
