#pragma once
#include "Vetor.h"

extern double hx;
extern double hy;
extern double d;

class Ponto
{
public:
	double x;
	double y;
	double z;
	Vetor normal;

public:
	Ponto(void);
public:
	Ponto(double x, double y, double z);
	Ponto(double x, double y);
public:
	~Ponto(void);
public:
	double getX();
	double getY();
	double getZ();
	void setX(double p);
	void setY(double p);
	void setZ(double p);

	Vetor operator- (Ponto& inicial);//subtrai dois pontos e retorna um vetor
	Ponto operator* (double c);//multiplicao por escalar
	Ponto operator +(Ponto& p);//soma de pontos

	Ponto projetar();//retorna o ponto projetado
};
