#pragma once

class Vetor
{
public:
	double coordenadas[3];

public:
	Vetor(double x, double y, double z);
public:
	Vetor(void);
public:
	~Vetor(void);
public:
	double getX();
	double getY();
	double getZ();
	void setX(double p);
	void setY(double p);
	void setZ(double p);

	double norma();//retorna a norma do vetor
	void normalizar();//normaliza o vetor
	Vetor projecao(Vetor& v);//projecao de this sobre v
	Vetor ortogonal(Vetor& v);//componente ortogonal de this em relacao a v

	Vetor operator *(double c);//multiplicaao por escalar
	double operator *(Vetor& v);//produto interno
	Vetor operator &(Vetor& v);//multiplicaao de vetores x1x2,y1y2,z1z2
	Vetor operator /(Vetor& v);//produto vetorial
	Vetor operator +(Vetor& v);//soma de vetores
	Vetor operator -(Vetor& v);//subtracao de vetores

};
